Subject: Re: [PATCH 1/1] linux-wireless: Added psk in struct cfg80211_connect_params needed for offloading 4way handshake to driver

From: Johannes Berg <[email-masked]>
Date: Tue, 11 Nov 2014 10:29:21 +0100

On Tue, 2014-11-11 at 05:56 +0000, Gautam (Gautam Kumar) Shukla wrote:
> For offloading 4 way handshake to driver, currently we don't have any
> member  of struct cfg80211_connect_params to pass PSK from supplicant
> to driver. I have added psk for the same and added rest of the code
> needed in nl80211.h and nl80211.c to parse and make it available to
> driver.
> From supplicant, we already have psk member field in assoc_params to
> use .
> 
> Tested on x86 linux.

Your commit message needs serious work.

Also, there's a competing approach from QCA that's far more suited.

In either case though, I'm going to ask which driver is going to use
this and when it's going to land in mainline.

johannes